
From: Roland Dreier <roland@topspin.com>

Make IPoIB data_debug_level module parameter static to the single file
where it is used.  Also Rename IPoIB module parameter variable from
"debug_level" to "ipoib_debug_level".  This avoids possible name
clashes if IPoIB is built into the kernel.  We use module_param_named
so that the user-visible parameter names remain the same.

Signed-off-by: Tom Duffy <tduffy@sun.com>
Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/ulp/ipoib/ipoib.h      |    4 ++--
 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_ib.c   |    2 +-
 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_main.c |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/infiniband/ulp/ipoib/ipoib.h~ib-ipoib-rename-global-symbols drivers/infiniband/ulp/ipoib/ipoib.h
--- 25/drivers/infiniband/ulp/ipoib/ipoib.h~ib-ipoib-rename-global-symbols	2005-03-02 21:50:40.000000000 -0800
+++ 25-akpm/drivers/infiniband/ulp/ipoib/ipoib.h	2005-03-02 21:50:40.000000000 -0800
@@ -308,11 +308,11 @@ static inline void ipoib_unregister_debu
 
 
 #ifdef CONFIG_INFINIBAND_IPOIB_DEBUG
-extern int debug_level;
+extern int ipoib_debug_level;
 
 #define ipoib_dbg(priv, format, arg...)			\
 	do {					        \
-		if (debug_level > 0)			\
+		if (ipoib_debug_level > 0)			\
 			ipoib_printk(KERN_DEBUG, priv, format , ## arg); \
 	} while (0)
 #define ipoib_dbg_mcast(priv, format, arg...)		\
diff -puN drivers/infiniband/ulp/ipoib/ipoib_ib.c~ib-ipoib-rename-global-symbols drivers/infiniband/ulp/ipoib/ipoib_ib.c
--- 25/drivers/infiniband/ulp/ipoib/ipoib_ib.c~ib-ipoib-rename-global-symbols	2005-03-02 21:50:40.000000000 -0800
+++ 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_ib.c	2005-03-02 21:50:40.000000000 -0800
@@ -40,7 +40,7 @@
 #include "ipoib.h"
 
 #ifdef CONFIG_INFINIBAND_IPOIB_DEBUG_DATA
-int data_debug_level;
+static int data_debug_level;
 
 module_param(data_debug_level, int, 0644);
 MODULE_PARM_DESC(data_debug_level,
diff -puN drivers/infiniband/ulp/ipoib/ipoib_main.c~ib-ipoib-rename-global-symbols drivers/infiniband/ulp/ipoib/ipoib_main.c
--- 25/drivers/infiniband/ulp/ipoib/ipoib_main.c~ib-ipoib-rename-global-symbols	2005-03-02 21:50:40.000000000 -0800
+++ 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_main.c	2005-03-02 21:50:40.000000000 -0800
@@ -51,9 +51,9 @@ MODULE_DESCRIPTION("IP-over-InfiniBand n
 MODULE_LICENSE("Dual BSD/GPL");
 
 #ifdef CONFIG_INFINIBAND_IPOIB_DEBUG
-int debug_level;
+int ipoib_debug_level;
 
-module_param(debug_level, int, 0644);
+module_param_named(debug_level, ipoib_debug_level, int, 0644);
 MODULE_PARM_DESC(debug_level, "Enable debug tracing if > 0");
 #endif
 
_
